QuantLib: FuturesRateHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
FuturesRateHelper Class Reference

Rate helper for bootstrapping over IborIndex futures prices. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for FuturesRateHelper:
[legend]

## Public Member Functions
| FuturesRateHelper (const Handle< Quote > &price, const Date &iborStartDate, Natural lengthInMonths, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, const Handle< Quote > &convexityAdjustment=Handle< Quote >(), Futures::Type type=Futures::IMM)
| FuturesRateHelper (Real price, const Date &iborStartDate, Natural lengthInMonths, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, Rate convexityAdjustment=0.0, Futures::Type type=Futures::IMM)
| FuturesRateHelper (const Handle< Quote > &price, const Date &iborStartDate, const Date &iborEndDate, const DayCounter &dayCounter, const Handle< Quote > &convexityAdjustment=Handle< Quote >(), Futures::Type type=Futures::IMM)
| FuturesRateHelper (Real price, const Date &iborStartDate, const Date &endDate, const DayCounter &dayCounter, Rate convexityAdjustment=0.0, Futures::Type type=Futures::IMM)
| FuturesRateHelper (const Handle< Quote > &price, const Date &iborStartDate, const ext::shared_ptr< IborIndex > &iborIndex, const Handle< Quote > &convexityAdjustment=Handle< Quote >(), Futures::Type type=Futures::IMM)
| FuturesRateHelper (Real price, const Date &iborStartDate, const ext::shared_ptr< IborIndex > &iborIndex, Rate convexityAdjustment=0.0, Futures::Type type=Futures::IMM)
RateHelper interface
Real | impliedQuote () const
FuturesRateHelper inspectors
Real | convexityAdjustment () const
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Visitability
void | accept (AcyclicVisitor &)

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Detailed Description

Rate helper for bootstrapping over IborIndex futures prices.